Subject: Re: bug#15552: 24.3.50; epa-file-cache-passphrase-for-symmetric-encryption not respected with GnuPG 2.x

From: Ted Zlatanov <[email-masked]>
Date: Thu, 10 Oct 2013 09:25:07 -0400

On Thu, 10 Oct 2013 12:08:39 +0900 Daiki Ueno <[email-masked]> wrote: 

DU> Stefan Monnier <[email-masked]> writes:
>> The docstring should prominently say that this var doesn't work with
>> gpg2 because gpg2 does not let Emacs cache the passphrase (IIUC we
>> can't make this var effective without changes in gpg2).

DU> OK, I'll add it, though I'd also like to add a note saying that setting
DU> this variable for gpg2 is kind of nonsense.

As the user, I want a single setting across all my systems, so I don't
know in advance if gpg1, gpg2, or both will be installed.  I could add
an explicit version check in my init file, but maybe epg.el could issue
a warning if it detects that situation, just to be helpful?

Ted